Mail archive
alpine-aports

[alpine-aports] Re: mitmproxy on 3.7.0 ?

From: Cameron Taggart <cameron.taggart_at_gmail.com>
Date: Tue, 23 Oct 2018 12:13:11 -0500

Actually, this error occurs using the edge docker image as well. Here are
the minimal steps to reproduce:

docker run --rm -it alpine:edge

echo http://dl-cdn.alpinelinux.org/alpine/edge/testing >>
/etc/apk/repositories
apk add mitmproxy

On Tue, Oct 23, 2018 at 11:21 AM Cameron Taggart <cameron.taggart_at_gmail.com>
wrote:

> I was hoping to install mitmproxy on an existing alpine 3.7.0 image. I
> noticed it was in the edge testing so I changed /etc/apk/repositories from:
>
> http://dl-cdn.alpinelinux.org/alpine/v3.7/main
> http://dl-cdn.alpinelinux.org/alpine/v3.7/community
>
> to:
>
> http://dl-cdn.alpinelinux.org/alpine/edge/main
> http://dl-cdn.alpinelinux.org/alpine/edge/community
> http://dl-cdn.alpinelinux.org/alpine/edge/testing
>
> Then did this, but it failed. Is there something else I could try?
>
>
> / # apk update
> fetch
> http://dl-cdn.alpinelinux.org/alpine/edge/main/x86_64/APKINDEX.tar.gz
> fetch
> http://dl-cdn.alpinelinux.org/alpine/edge/community/x86_64/APKINDEX.tar.gz
> fetch
> http://dl-cdn.alpinelinux.org/alpine/edge/testing/x86_64/APKINDEX.tar.gz
> v3.8.0-2642-g38631c5827 [http://dl-cdn.alpinelinux.org/alpine/edge/main]
> v3.8.0-2639-gdb54d19ec0 [
> http://dl-cdn.alpinelinux.org/alpine/edge/community]
> v3.8.0-2634-gf8b870590f [http://dl-cdn.alpinelinux.org/alpine/edge/testing
> ]
> OK: 13149 distinct packages available
> / # apk add mitmproxy
> (1/41) Installing libressl2.7-libcrypto (2.7.4-r1)
> (2/41) Installing expat (2.2.6-r0)
> (3/41) Installing libffi (3.2.1-r5)
> (4/41) Installing gdbm (1.13-r1)
> (5/41) Installing readline (7.0.003-r1)
> (6/41) Installing sqlite-libs (3.24.0-r1)
> (7/41) Installing libressl2.7-libssl (2.7.4-r1)
> (8/41) Installing python2 (2.7.15-r1)
> (9/41) Installing py-cffi (1.10.0-r0)
> (10/41) Installing py2-cparser (2.18-r0)
> (11/41) Installing py2-cffi (1.10.0-r0)
> (12/41) Installing py-idna (2.7-r0)
> (13/41) Installing py2-idna (2.7-r0)
> (14/41) Installing py-asn1crypto (0.24.0-r0)
> (15/41) Installing py2-asn1crypto (0.24.0-r0)
> (16/41) Installing py-six (1.11.0-r0)
> (17/41) Installing py2-six (1.11.0-r0)
> (18/41) Installing py-cryptography (2.3.1-r0)
> (19/41) Installing py2-ipaddress (1.0.22-r0)
> (20/41) Installing py-enum34 (1.1.6-r2)
> (21/41) Installing py2-cryptography (2.3.1-r0)
> (22/41) Installing py-openssl (17.2.0-r0)
> (23/41) Installing py2-openssl (17.2.0-r0)
> (24/41) Installing py-asn1 (0.4.2-r0)
> (25/41) Installing py2-asn1 (0.4.2-r0)
> (26/41) Installing py-netlib (0.16-r0)
> (27/41) Installing py-click (6.7-r2)
> (28/41) Installing py2-click (6.7-r2)
> (29/41) Installing py-itsdangerous (0.24-r3)
> (30/41) Installing py2-itsdangerous (0.24-r3)
> (31/41) Installing py-jinja2 (2.10-r0)
> (32/41) Installing py2-markupsafe (1.0-r1)
> (33/41) Installing py2-jinja2 (2.10-r0)
> (34/41) Installing py-werkzeug (0.11.15-r2)
> (35/41) Installing py2-werkzeug (0.11.15-r2)
> (36/41) Installing py-flask (0.12.2-r1)
> (37/41) Installing py2-flask (0.12.2-r1)
> (38/41) Installing py-urwid (1.3.1-r2)
> (39/41) Installing py2-urwid (1.3.1-r2)
> (40/41) Installing py-mitmproxy (0.18.2-r1)
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/wsgi.py owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/__init__.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/encoding.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/tutils.py owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/tutils.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/utils.py owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/websockets/__init__.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/websockets/__init__.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/websockets/frame.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/websockets/frame.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/exceptions.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/version.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/__init__.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/version_check.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/__init__.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/request.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/status_codes.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/__init__.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/message.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http1/__init__.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http1/read.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http1/__init__.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http1/assemble.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http1/assemble.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http1/read.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/authentication.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/headers.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/request.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/message.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/status_codes.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http2/__init__.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/http2/__init__.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/user_agents.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/cookies.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/user_agents.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/response.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/headers.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/response.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/authentication.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/http/cookies.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/version_check.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/certutils.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/version.pyc owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/wsgi.pyc owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/socks.pyc owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/tcp.py owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/exceptions.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/encoding.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/certutils.py owned by
> py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/socks.py owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/utils.pyc owned by py-netlib-0.16-r0.
> ERROR: py-mitmproxy-0.18.2-r1: trying to overwrite
> usr/lib/python2.7/site-packages/netlib/tcp.pyc owned by py-netlib-0.16-r0.
> (41/41) Installing mitmproxy (0.18.2-r1)
> Executing busybox-1.27.2-r11.trigger
> 1 error; 93 MiB in 77 packages
>



---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Oct 23 2018 - 12:13:11 UTC